import React, { useState } from 'react'
import CodeMirror from '@uiw/react-codemirror'
import { javascript } from '@codemirror/lang-javascript'
import { monokai } from '@uiw/codemirror-theme-monokai'
import { useStore } from '@/hooks/useStore'
// import { oneDark } from '@codemirror/theme-one-dark'

const CodeEditor = ({ code, onChange }) => {
  const [currentCode, setCurrentCode] = useState(code)

  const [theme] = useStore(s => s.theme, a => a.setTheme)

  const onCodeChange = (value, viewUpdate) => {
    onChange(value)
    setCurrentCode(value)
  }

  return (
    <>
      <CodeMirror
        value={currentCode}
        extensions={[javascript({ jsx: true })]}
        theme={theme === 'dark' ? monokai : undefined}
        className='shadow-neon max-h-[50vh] overflow-auto rounded-lg border'
        // readOnly={true}
        onChange={onCodeChange}
      />
    </>
  )
}

export default CodeEditor
