import CodePlayground from '@/components/CodePlayground'
import React, { useState } from 'react'
import Button from 'via-ui/button'

const initialCode =
`// import { Button } from 'via-ui'

  const ButtonExample = () => {
    return (
      <>
        <Button variant="success" size="lg">
          Click me!
        </Button>
      </>
    );
  };

  render(<ButtonExample />);
`

const ExampleComponentPage = () => {
  const [code, setCode] = useState(initialCode)

  const scope = {
    React,
    useState,
    Button
  }

  return (
    <>
      <div className='rounded-lg bg-white p-4 shadow-lg dark:!bg-[#222222]'>
        <CodePlayground code={code} onChange={(newCode) => { setCode(newCode) }} scope={scope} />
      </div>
    </>
  )
}

export default ExampleComponentPage
