import CodePlayground from '@/components/CodePlayground'
import React, { useState } from 'react'

import { Tabs, TabsContent, TabsList, TabsTrigger } from 'via-ui/tab'

const initialCode =
`// import { Tabs, TabsContent, TabsList, TabsTrigger } from 'via-ui/tab'

  const TabsExample = () => {
    const [tab, setTab] = React.useState('data');
    return (
      <>
        <Tabs activeValue={tab} onChange={setTab}>
          <TabsList>
            <TabsTrigger value="data">Datos del Evento</TabsTrigger>
            <TabsTrigger value="docs">Documentos del Evento</TabsTrigger>
          </TabsList>

          <TabsContent value="data">
            tabs data
          </TabsContent>

          <TabsContent value="docs">
            tabs docs
          </TabsContent>
        </Tabs>
      </>
    );
  };

  render(<TabsExample />);
`

const TabExamplePage = () => {
  const [code, setCode] = useState(initialCode)

  const scope = {
    React,
    useState,
    Tabs,
    TabsContent,
    TabsList,
    TabsTrigger
  }

  return (
    <>
      <div className='rounded-lg bg-white p-4 shadow-lg dark:!bg-[#222222]'>
        <CodePlayground code={code} onChange={(newCode) => { setCode(newCode) }} scope={scope} />
      </div>
    </>
  )
}

export default TabExamplePage
